## qmmp 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0)

#freebsd support
include_directories(SYSTEM /usr/local/include)
SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} /usr/local/include)

#extract version from qmmp.h
FILE(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/src/qmmp/qmmp.h"
     QMMP_VERSION_DATA REGEX "^#define[ \t]+QMMP_VERSION_[A-Z]+[ \t]+[0-9]+.*$")

IF(QMMP_VERSION_DATA)
   FOREACH(item IN ITEMS MAJOR MINOR PATCH STABLE)
      STRING(REGEX REPLACE ".*#define[ \t]+QMMP_VERSION_${item}[ \t]+([0-9]+).*"
       "\\1" QMMP_VERSION_${item} ${QMMP_VERSION_DATA})
   ENDFOREACH(item IN ITEMS MAJOR MINOR PATCH)
   SET(QMMP_VERSION "${QMMP_VERSION_MAJOR}.${QMMP_VERSION_MINOR}.${QMMP_VERSION_PATCH}")
   SET(QMMP_SOVERSION "${QMMP_VERSION_MAJOR}")
   IF(QMMP_VERSION_STABLE)
      MESSAGE(STATUS "Qmmp API version: ${QMMP_VERSION} (stable)")
   ELSE(QMMP_VERSION_STABLE)
      MESSAGE(STATUS "Qmmp API version: ${QMMP_VERSION} (development)")
   ENDIF(QMMP_VERSION_STABLE)
ELSE(QMMP_VERSION_DATA)
   MESSAGE(FATAL_ERROR "invalid header")
ENDIF(QMMP_VERSION_DATA)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

SET(QT_MIN_VERSION 4.6.0)
INCLUDE(FindQt4)
INCLUDE(${QT_USE_FILE})
INCLUDE(FindPkgConfig)

IF(NOT QT_LRELEASE_EXECUTABLE)
FIND_PROGRAM(QT_LRELEASE_EXECUTABLE
    NAMES lrelease
    PATHS ${QT_BINARY_DIR}
    NO_DEFAULT_PATH
)
ENDIF(NOT QT_LRELEASE_EXECUTABLE)

#debian hack
IF(EXISTS ${QT_BINARY_DIR}/lrelease-qt4)
SET(QT_LRELEASE_EXECUTABLE ${QT_BINARY_DIR}/lrelease-qt4)
ENDIF(EXISTS ${QT_BINARY_DIR}/lrelease-qt4)

IF(QT_LRELEASE_EXECUTABLE)
MESSAGE(STATUS "Found lrelease executable: " ${QT_LRELEASE_EXECUTABLE})
ELSE(QT_LRELEASE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Could NOT find lrelease executable")
ENDIF(QT_LRELEASE_EXECUTABLE)

MESSAGE(STATUS "Generating translations ...")
IF(SVN_VERSION)
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent -nounfinished)
ELSE(SVN_VERSION)
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent)
ENDIF(SVN_VERSION)

IF(NOT LIB_SUFFIX)
IF("${QT_LIBRARY_DIR}" MATCHES lib64)
set(LIB_SUFFIX 64)
ENDIF("${QT_LIBRARY_DIR}" MATCHES lib64)
ENDIF(NOT LIB_SUFFIX)

SET(LIB_DIR "lib${LIB_SUFFIX}" CACHE STRING "library path")
SET(USE_SKINNED TRUE CACHE BOOL "enable/disable standard skinned user interface")
SET(USE_DIR_ASSOC TRUE CACHE BOOL "enable/disable inode/directory mime type association")
SET(USE_RPATH FALSE CACHE BOOL "enable/disable RPATH for installing binaries")

#set RPATH in installed binaries
IF(USE_RPATH AND UNIX AND NOT APPLE)
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
ENDIF(USE_RPATH AND UNIX AND NOT APPLE)

pkg_search_module(X11 x11)

add_subdirectory(src/qmmp)
add_subdirectory(src/qmmpui)
add_subdirectory(src/plugins)
add_subdirectory(src/app)

MACRO(PRINT_SUMMARY str USE FOUND)
IF(${USE} AND ${FOUND})
MESSAGE("${str}enabled")
ELSE(${USE} AND ${FOUND})
MESSAGE("${str}disabled")
ENDIF(${USE} AND ${FOUND})
ENDMACRO(PRINT_SUMMARY)

IF (UNIX)
ADD_CUSTOM_TARGET (distclean @echo cleaning for source distribution)

ADD_CUSTOM_COMMAND(
    COMMENT "distribution clean"
    COMMAND make
    ARGS -C ${CMAKE_CURRENT_BINARY_DIR} clean
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeCache.txt" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeFiles" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "Makefile" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name \"*.cmake\" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_SOURCE_DIR} -name "*.qm" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.pc" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.depends" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.cxx_parameters" | xargs rm -rf
    COMMAND rm
    ARGS -rf ${CMAKE_CURRENT_BINARY_DIR}/install_manifest.txt
    TARGET  distclean
)
ENDIF(UNIX)


MESSAGE("")
MESSAGE("Transports:")
PRINT_SUMMARY ("HTTP support ......................" USE_CURL CURL_FOUND)
PRINT_SUMMARY ("MMS support ......................." USE_MMS MMS_FOUND)

MESSAGE("")
MESSAGE("Input Plugins:")
PRINT_SUMMARY ("mp3 support ......................." USE_MAD  MAD_FOUND)
PRINT_SUMMARY ("FLAC support ......................" USE_FLAC FLAC_FOUND)
PRINT_SUMMARY ("Ogg Vorbis support ................" USE_VORBIS VORBIS_FOUND)
PRINT_SUMMARY ("Musepack support .................." USE_MPC MPC_FOUND)
PRINT_SUMMARY ("MOD support ......................." USE_MODPLUG MODPLUG_FOUND)
PRINT_SUMMARY ("Wave support ......................" USE_SNDFILE SNDFILE_FOUND)
PRINT_SUMMARY ("WavPack support ..................." USE_WAVPACK WAVPACK_FOUND)
PRINT_SUMMARY ("FFmpeg/Libav support .............." USE_FFMPEG FFMPEG_FOUND)
PRINT_SUMMARY ("FFmpeg 0.6-0.8 support ............" USE_FFMPEG_LEGACY FFMPEG_LEGACY_FOUND)
PRINT_SUMMARY ("AAC support ......................." USE_AAC FAAD_FOUND)
PRINT_SUMMARY ("CUE sheet support ................." USE_CUE 1)
PRINT_SUMMARY ("Mplayer support ..................." USE_MPLAYER 1)
PRINT_SUMMARY ("CD Audio support .................." USE_CDA CDIO_FOUND)
PRINT_SUMMARY ("Midi support ......................" USE_MIDI WILDMIDI_FOUND)
PRINT_SUMMARY ("Game music support ................" USE_GME GME_FOUND)
PRINT_SUMMARY ("Ogg Opus support .................." USE_OPUS OPUS_FOUND)
PRINT_SUMMARY ("SID support ......................." USE_SID SIDPLAYFP_FOUND)

MESSAGE("")
MESSAGE("Output Plugins:")
PRINT_SUMMARY ("ALSA support ......................" USE_ALSA ALSA_FOUND)
PRINT_SUMMARY ("OSS support ......................." USE_OSS 1)
PRINT_SUMMARY ("OSS4 support ......................" USE_OSS4 OSS4_FOUND)
PRINT_SUMMARY ("JACK support ......................" USE_JACK JACK_FOUND)
PRINT_SUMMARY ("PulseAudio support ................" USE_PULSE PULSE_FOUND)
PRINT_SUMMARY ("Null output support ..............." USE_NULL 1)
PRINT_SUMMARY ("Win32 Waveout support ............." USE_WAVEOUT WINDOWS_H_FOUND)
PRINT_SUMMARY ("Win32 DirectSound support ........." USE_DSOUND DSOUND_H_FOUND)

MESSAGE("")
MESSAGE("Effect Plugins:")
PRINT_SUMMARY ("Sample Rate Conversion ............" USE_SRC SAMPLERATE_FOUND)
PRINT_SUMMARY ("BS2B Plugin ......................." USE_BS2B BS2B_FOUND)
PRINT_SUMMARY ("LADSPA Host ......................." USE_LADSPA 1)
PRINT_SUMMARY ("Crossfade ........................." USE_CROSSFADE 1)
PRINT_SUMMARY ("Extra Stereo ......................" USE_STEREO 1)

MESSAGE("")
MESSAGE("Visual Plugins:")
PRINT_SUMMARY ("Analyzer .........................." USE_ANALYZER 1)
PRINT_SUMMARY ("ProjectM .........................." USE_PROJECTM PROJECTM_FOUND)

MESSAGE("")
MESSAGE("General Plugins:")
PRINT_SUMMARY ("MPRIS support ....................." USE_MPRIS 1)
PRINT_SUMMARY ("Scrobbler ........................." USE_SCROBBLER 1)
PRINT_SUMMARY ("Tray support ......................" USE_STATICON 1)
PRINT_SUMMARY ("Notifier support .................." USE_NOTIFIER 1)
PRINT_SUMMARY ("Lyrics support ...................." USE_LYRICS 1)
PRINT_SUMMARY ("HAL support ......................." USE_HAL 1)
PRINT_SUMMARY ("UDisks2 support ..................." USE_UDISKS2 1)
PRINT_SUMMARY ("UDisks support ...................." USE_UDISKS 1)
PRINT_SUMMARY ("Global hotkey support ............." USE_HOTKEY X11_FOUND)
PRINT_SUMMARY ("GNOME/Cinnamon hotkey support ....." USE_GNOMEHOTKEY 1)
PRINT_SUMMARY ("File operations ..................." USE_FILEOPS 1)
PRINT_SUMMARY ("Cover manager ....................." USE_COVER 1)
PRINT_SUMMARY ("KDE4 notifications support ........" USE_KDENOTIFY 1)
PRINT_SUMMARY ("Audio converter ..................." USE_CONVERTER TAGLIB_FOUND)
PRINT_SUMMARY ("ReplayGain Scanner ................" USE_RGSCAN TAGLIB_FOUND)
PRINT_SUMMARY ("Stream browser ...................." USE_SB 1)
PRINT_SUMMARY ("Track change ......................" USE_TRACKCHANGE 1)
PRINT_SUMMARY ("Copy/Paste ........................" USE_COPYPASTE 1)

MESSAGE("")
MESSAGE("File Dialogs:")
PRINT_SUMMARY ("QMMP File Dialog .................." USE_QMMP_DIALOG 1)

MESSAGE("")
MESSAGE("Advanced:")
PRINT_SUMMARY ("Skinned user interface ............" USE_SKINNED X11_FOUND)
PRINT_SUMMARY ("Automatic charset detection ......." USE_ENCA ENCA_FOUND)
PRINT_SUMMARY ("Directory association ............." USE_DIR_ASSOC 1)
PRINT_SUMMARY ("Set RPATH in installed binaries ..." USE_RPATH CMAKE_INSTALL_RPATH_USE_LINK_PATH)

MESSAGE("")

=== src/qmmp/CMakeLists.txt ===
project(libqmmp)

cmake_minimum_required(VERSION 2.4.7)

if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 OLD)
    cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)

# qt lib
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)
ADD_DEFINITIONS(-DLIB_DIR=\\\"\\/${LIB_DIR}\\\")
ADD_DEFINITIONS(-DQMMP_INSTALL_PREFIX=\\\"${CMAKE_INSTALL_PREFIX}\\\")

IF(NOT QMMP_VERSION_STABLE) #add svn revision
execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/svn_revision.sh
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                OUTPUT_VARIABLE SVN_REVISION
                OUTPUT_STRIP_TRAILING_WHITESPACE)
IF(SVN_REVISION)
ADD_DEFINITIONS(-DSVN_REVISION=\\\"${SVN_REVISION}\\\")
ENDIF(SVN_REVISION)
ENDIF(NOT QMMP_VERSION_STABLE)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

SET(libqmmp_SRCS
    visual.cpp
    recycler.cpp
    decoder.cpp
    output.cpp
    outputwriter.cpp
    fileinfo.cpp
    equ/iir.c
    equ/iir_cfs.c
    equ/iir_fpu.c
    soundcore.cpp
    effect.cpp
    qmmp.cpp
    statehandler.cpp
    volumecontrol.cpp
    metadatamodel.cpp
    tagmodel.cpp
    qmmpaudioengine.cpp
    abstractengine.cpp
    audioparameters.cpp
    inputsource.cpp
    fileinputsource.cpp
    emptyinputsource.cpp
    metadatamanager.cpp
    replaygain.cpp
    qmmpsettings.cpp
    audioconverter.cpp
    eqsettings.cpp
    qmmpevents.cpp
    qmmpplugincache.cpp
)

SET(libqmmp_HDRS
    qmmpevents_p.h
    outputfactory.h
    decoderfactory.h
    effectfactory.h
    equ/iir_cfs.h
    equ/iir_fpu.h
    equ/iir.h
    visualfactory.h
    recycler_p.h
    buffer.h
    effect.h
    qmmp.h
    replaygain_p.h
    fileinfo.h
    audioconverter_p.h
    qmmpplugincache_p.h
    eqsettings.h
    decoder.h
    tagmodel.h
    audioparameters.h
    inputsourcefactory.h
    enginefactory.h
    metadatamanager.h
    volume.h
    output.h

)

SET(libqmmp_MOC_HDRS
    visual.h
    outputwriter_p.h
    soundcore.h
    statehandler.h
    volumecontrol_p.h
    metadatamodel.h
    qmmpaudioengine_p.h
    abstractengine.h
    inputsource.h
    fileinputsource_p.h
    emptyinputsource_p.h
    qmmpsettings.h
)

SET(libqmmp_DEVEL_HDRS
    abstractengine.h
    audioparameters.h
    buffer.h
    decoderfactory.h
    decoder.h
    effectfactory.h
    effect.h
    enginefactory.h
    eqsettings.h
    fileinfo.h
    inputsourcefactory.h
    inputsource.h
    metadatamanager.h
    metadatamodel.h
    outputfactory.h
    output.h
    qmmp.h
    qmmpsettings.h
    soundcore.h
    statehandler.h
    tagmodel.h
    visualfactory.h
    visual.h
    volume.h
)

QT4_WRAP_CPP(libqmmp_MOC_SRCS ${libqmmp_MOC_HDRS})

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(libqmmp SHARED ${libqmmp_SRCS} ${libqmmp_MOC_SRCS} ${libqmmp_HDRS})
target_link_libraries(libqmmp ${QT_LIBRARIES})
SET_TARGET_PROPERTIES(libqmmp PROPERTIES VERSION ${QMMP_VERSION} SOVERSION ${QMMP_SOVERSION} OUTPUT_NAME qmmp)
install(TARGETS libqmmp LIBRARY DESTINATION ${LIB_DIR}
                        RUNTIME DESTINATION bin
                        ARCHIVE DESTINATION ${LIB_DIR})
install(FILES ${libqmmp_DEVEL_HDRS} DESTINATION include/qmmp)


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qmmp.pc.in ${CMAKE_CURRENT_BINARY_DIR}/qmmp.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qmmp.pc DESTINATION ${LIB_DIR}/pkgconfig)

=== src/qmmpui/CMakeLists.txt ===
project(libqmmpui)

cmake_minimum_required(VERSION 2.4.7)

if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 OLD)
cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)

SET(QT_USE_QTNETWORK TRUE)
INCLUDE(FindQt4)
include(${QT_USE_FILE})

# qt lib
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

# libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

link_directories(${CMAKE_INSTALL_PREFIX}/${LIB_DIR})
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../qmmp)

SET(libqmmpui_SRCS
    general.cpp
    uihelper.cpp
    playlistparser.cpp
    commandlinemanager.cpp
    filedialog.cpp
    qtfiledialog.cpp
    fileloader.cpp
    playstate.cpp
    playlistmodel.cpp
    playlistitem.cpp
    playlistgroup.cpp
    playlisttrack.cpp
    playlistcontainer.cpp
    normalcontainer.cpp
    groupedcontainer.cpp
    mediaplayer.cpp
    detailsdialog.cpp
    tageditor.cpp
    playlistmanager.cpp
    metadataformatter.cpp
    templateeditor.cpp
    uiloader.cpp
    jumptotrackdialog.cpp
    configdialog.cpp
    pluginitem.cpp
    aboutdialog.cpp
    qmmpuisettings.cpp
    radioitemdelegate.cpp
    playlistdownloader.cpp
    addurldialog.cpp
    qmmpuiplugincache.cpp
    tagupdater.cpp
)

SET(libqmmpui_HDRS
    generalfactory.h
    playlistformat.h
    commandlinemanager.h
    commandlineoption.h
    filedialogfactory.h
    playstate_p.h
    playlistitem.h
    playlistgroup.h
    playlisttrack.h
    playlistcontainer_p.h
    normalcontainer_p.h
    groupedcontainer_p.h
    metadataformatter.h
    uiloader.h
    uifactory.h
    pluginitem_p.h
    general.h
    playlistparser.h
    qmmpuiplugincache_p.h
)

SET(libqmmpui_MOC_HDRS
    uihelper.h
    filedialog.h
    qtfiledialog_p.h
    fileloader_p.h
    playlistmodel.h
    mediaplayer.h
    detailsdialog.h
    tageditor_p.h
    playlistmanager.h
    templateeditor.h
    jumptotrackdialog_p.h
    configdialog.h
    aboutdialog_p.h
    qmmpuisettings.h
    radioitemdelegate_p.h
    playlistdownloader.h
    addurldialog_p.h
    tagupdater_p.h
)

SET(libqmmpui_DEVEL_HDRS
    commandlinemanager.h
    commandlineoption.h
    configdialog.h
    detailsdialog.h
    filedialogfactory.h
    filedialog.h
    generalfactory.h
    general.h
    mediaplayer.h
    metadataformatter.h
    playlistdownloader.h
    playlistformat.h
    playlistitem.h
    playlistgroup.h
    playlisttrack.h
    playlistmanager.h
    playlistmodel.h
    playlistparser.h
    qmmpuisettings.h
    templateeditor.h
    uifactory.h
    uihelper.h
    uiloader.h
)


SET(libqmmpui_UIS
    forms/detailsdialog.ui
    forms/tageditor.ui
    forms/templateeditor.ui
    forms/jumptotrackdialog.ui
    forms/configdialog.ui
    forms/aboutdialog.ui
    forms/addurldialog.ui
)

QT4_WRAP_UI(libqmmpui_UIS_H ${libqmmpui_UIS})

QT4_ADD_RESOURCES(libqmmpui_RCC_SRCS translations/libqmmpui_locales.qrc txt/txt.qrc images/qmmpui_images.qrc)

QT4_WRAP_CPP(libqmmpui_MOC_SRCS ${libqmmpui_MOC_HDRS})

include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(qmmpui SHARED ${libqmmpui_SRCS} ${libqmmpui_MOC_SRCS} ${libqmmpui_RCC_SRCS} ${libqmmpui_UIS_H} ${libqmmpui_HDRS})
target_link_libraries(qmmpui ${QT_LIBRARIES} -lqmmp)
add_dependencies(qmmpui libqmmp)
SET_TARGET_PROPERTIES(qmmpui PROPERTIES VERSION ${QMMP_VERSION} SOVERSION ${QMMP_SOVERSION})
install(TARGETS qmmpui LIBRARY DESTINATION ${LIB_DIR}
                       RUNTIME DESTINATION bin
                       ARCHIVE DESTINATION ${LIB_DIR})
install(FILES ${libqmmpui_DEVEL_HDRS} DESTINATION include/qmmpui)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qmmpui.pc.in ${CMAKE_CURRENT_BINARY_DIR}/qmmpui.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qmmpui.pc DESTINATION ${LIB_DIR}/pkgconfig)

=== src/plugins/General/CMakeLists.txt ===
SET(USE_MPRIS TRUE CACHE BOOL "enable/disable mpris plugin")
SET(USE_SCROBBLER TRUE CACHE BOOL "enable/disable scrobbler plugin")
SET(USE_STATICON TRUE CACHE BOOL "enable/disable status icon plugin")
SET(USE_NOTIFIER TRUE CACHE BOOL "enable/disable notifier plugin")
SET(USE_LYRICS TRUE CACHE BOOL "enable/disable lyrics version")
SET(USE_HAL TRUE CACHE BOOL "enable/disable hal plugin")
SET(USE_UDISKS2 TRUE CACHE BOOL "enable/disable udisks2 plugin")
SET(USE_UDISKS FALSE CACHE BOOL "enable/disable udisks plugin")
SET(USE_HOTKEY TRUE CACHE BOOL "enable/disable global hotkey plugin")
SET(USE_GNOMEHOTKEY TRUE CACHE BOOL "enable/disable gnome hotkey plugin")
SET(USE_FILEOPS TRUE CACHE BOOL "enable/disable fileops plugin")
SET(USE_COVER TRUE CACHE BOOL "enable/disable cover manager plugin")
SET(USE_KDENOTIFY TRUE CACHE BOOL "enable/disable kde notification plugin")
SET(USE_CONVERTER TRUE CACHE BOOL "enable/disable audio converter plugin")
SET(USE_RGSCAN TRUE CACHE BOOL "enable/disable replaygain scanner plugin")
SET(USE_SB TRUE CACHE BOOL "enable/disable stream browser plugin")
SET(USE_TRACKCHANGE TRUE CACHE BOOL "enable/disable track change plugin")
SET(USE_COPYPASTE TRUE CACHE BOOL "enable/disable copy/paste change plugin")


IF(USE_MPRIS)
add_subdirectory(mpris)
ENDIF(USE_MPRIS)

IF(USE_SCROBBLER)
add_subdirectory(scrobbler)
ENDIF(USE_SCROBBLER)

IF(USE_STATICON)
add_subdirectory(statusicon)
ENDIF(USE_STATICON)

IF(USE_NOTIFIER)
add_subdirectory(notifier)
ENDIF(USE_NOTIFIER)

IF(USE_LYRICS)
add_subdirectory(lyrics)
ENDIF(USE_LYRICS)

IF(USE_HAL)
add_subdirectory(hal)
ENDIF(USE_HAL)

IF(USE_UDISKS2)
add_subdirectory(udisks2)
ENDIF(USE_UDISKS2)

IF(USE_UDISKS)
add_subdirectory(udisks)
ENDIF(USE_UDISKS)

IF(USE_HOTKEY)
add_subdirectory(hotkey)
ENDIF(USE_HOTKEY)

IF(USE_FILEOPS)
add_subdirectory(fileops)
ENDIF(USE_FILEOPS)

IF(USE_COVER)
add_subdirectory(covermanager)
ENDIF(USE_COVER)

IF(USE_KDENOTIFY)
add_subdirectory(kdenotify)
ENDIF(USE_KDENOTIFY)

IF(USE_CONVERTER AND TAGLIB_FOUND)
add_subdirectory(converter)
ENDIF(USE_CONVERTER AND TAGLIB_FOUND)

IF(USE_RGSCAN AND TAGLIB_FOUND)
add_subdirectory(rgscan)
ENDIF(USE_RGSCAN AND TAGLIB_FOUND)

IF(USE_SB)
add_subdirectory(streambrowser)
ENDIF(USE_SB)

IF(USE_TRACKCHANGE)
add_subdirectory(trackchange)
ENDIF(USE_TRACKCHANGE)

IF(USE_COPYPASTE)
add_subdirectory(copypaste)
ENDIF(USE_COPYPASTE)

IF(USE_GNOMEHOTKEY)
add_subdirectory(gnomehotkey)
ENDIF(USE_GNOMEHOTKEY)

=== src/plugins/Input/CMakeLists.txt ===
SET(USE_MAD            TRUE CACHE BOOL "enable/disable mad plugin")
SET(USE_FLAC           TRUE CACHE BOOL "enable/disable flac plugin")
SET(USE_VORBIS         TRUE CACHE BOOL "enable/disable ogg vorbis plugin")
SET(USE_FFMPEG         TRUE CACHE BOOL "enable/disable ffmpeg plugin")
SET(USE_FFMPEG_LEGACY  TRUE CACHE BOOL "enable/disable ffmpeg_legacy plugin")
SET(USE_MPC            TRUE CACHE BOOL "enable/disable mpc plugin")
SET(USE_SNDFILE        TRUE CACHE BOOL "enable/disable sndfile plugin")
SET(USE_WAVPACK        TRUE CACHE BOOL "enable/disable wavpack plugin")
SET(USE_MODPLUG        TRUE CACHE BOOL "enable/disable modplug plugin")
SET(USE_AAC            TRUE CACHE BOOL "enable/disable aac plugin")
SET(USE_CUE            TRUE CACHE BOOL "enable/disable cue plugin")
SET(USE_CDA            TRUE CACHE BOOL "enable/disable cd audio support")
SET(USE_MIDI           TRUE CACHE BOOL "enable/disable midi support")
SET(USE_GME            TRUE CACHE BOOL "enable/disable game music plugin")
SET(USE_OPUS           TRUE CACHE BOOL "enable/disable opus plugin")
SET(USE_SID            TRUE CACHE BOOL "enable/disable sid plugin")


IF(USE_MAD AND TAGLIB_FOUND)
add_subdirectory(mad)
ENDIF(USE_MAD AND TAGLIB_FOUND)

IF(USE_FLAC AND TAGLIB_FOUND)
add_subdirectory(flac)
ENDIF(USE_FLAC AND TAGLIB_FOUND)

IF(USE_VORBIS AND TAGLIB_FOUND)
add_subdirectory(vorbis)
ENDIF(USE_VORBIS AND TAGLIB_FOUND)

IF(USE_FFMPEG)
add_subdirectory(ffmpeg)
ENDIF(USE_FFMPEG)

IF(USE_FFMPEG_LEGACY)
add_subdirectory(ffmpeg_legacy)
ENDIF(USE_FFMPEG_LEGACY)

IF(USE_MPC AND TAGLIB_FOUND)
add_subdirectory(mpc)
ENDIF(USE_MPC AND TAGLIB_FOUND)

IF(USE_SNDFILE)
add_subdirectory(sndfile)
ENDIF(USE_SNDFILE)

IF(USE_WAVPACK)
add_subdirectory(wavpack)
ENDIF(USE_WAVPACK)

IF(USE_MODPLUG)
add_subdirectory(modplug)
ENDIF(USE_MODPLUG)

IF(USE_AAC AND TAGLIB_FOUND)
add_subdirectory(aac)
ENDIF(USE_AAC AND TAGLIB_FOUND)

IF(USE_CUE)
add_subdirectory(cue)
ENDIF(USE_CUE)

IF(USE_CDA)
add_subdirectory(cdaudio)
ENDIF(USE_CDA)

IF(USE_MIDI)
add_subdirectory(wildmidi)
ENDIF(USE_MIDI)

IF(USE_GME)
add_subdirectory(gme)
ENDIF(USE_GME)

IF(USE_OPUS AND TAGLIB_FOUND)
add_subdirectory(opus)
ENDIF(USE_OPUS AND TAGLIB_FOUND)

IF(USE_SID)
add_subdirectory(sid)
ENDIF(USE_SID)

=== src/plugins/General/gnomehotkey/CMakeLists.txt ===
project(libgnomehotkey)

cmake_minimum_required(VERSION 2.4.8 FATAL_ERROR)

SET (QT_USE_QTDBUS TRUE)

INCLUDE(FindQt4)

include(${QT_USE_FILE})

if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# qt plugin
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui & libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libgnomehotkey_SRCS
    gnomehotkeyfactory.cpp
    mediakeys.cpp
)

SET(libgnomehotkey_MOC_HDRS
    gnomehotkeyfactory.h
    mediakeys.h
)

SET(libgnomehotkey_RCCS translations/translations.qrc)

QT4_ADD_RESOURCES(libgnomehotkey_RCC_SRCS ${libgnomehotkey_RCCS})

QT4_WRAP_CPP(libgnomehotkey_MOC_SRCS ${libgnomehotkey_MOC_HDRS})


# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(gnomehotkey MODULE ${libgnomehotkey_SRCS} ${libgnomehotkey_MOC_SRCS} ${libgnomehotkey_RCC_SRCS})
add_dependencies(gnomehotkey qmmpui)
target_link_libraries(gnomehotkey ${QT_LIBRARIES} -lqmmpui -lqmmp)
install(TARGETS gnomehotkey DESTINATION ${LIB_DIR}/qmmp/General)

=== src/plugins/General/rgscan/CMakeLists.txt ===
project(librgscan)

cmake_minimum_required(VERSION 2.4.7)

include(${QT_USE_FILE})

if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)


# qt plugin
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

SET(QT_INCLUDES
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../../
)

# libqmmpui & libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

# taglib
include_directories(${TAGLIB_INCLUDE_DIRS})
link_directories(${TAGLIB_LIBRARY_DIRS})
ADD_DEFINITIONS(${TAGLIB_CFLAGS})


SET(librgscan_SRCS
    rgscanfactory.cpp
    rgscanhelper.cpp
    rgscandialog.cpp
    rgscanner.cpp
    gain_analysis.c
)

SET(librgscan_MOC_HDRS
    rgscanfactory.h
    rgscanhelper.h
    rgscandialog.h
    rgscanner.h
)

SET(librgscan_HDRS
   gain_analysis.h
)

SET(librgscan_RCCS
    translations/translations.qrc
)

QT4_ADD_RESOURCES(librgscan_RCC_SRCS ${librgscan_RCCS})

QT4_WRAP_CPP(librgscan_MOC_SRCS ${librgscan_MOC_HDRS})

# user interface

SET(librgscan_UIS
    rgscandialog.ui
)

QT4_WRAP_UI(librgscan_UIS_H ${librgscan_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(rgscan MODULE ${librgscan_SRCS} ${librgscan_MOC_SRCS} ${librgscan_UIS_H} ${librgscan_HDRS} ${librgscan_RCC_SRCS})
add_dependencies(rgscan qmmpui)
target_link_libraries(rgscan ${QT_LIBRARIES} -lqmmpui -lqmmp ${TAGLIB_LDFLAGS})
install(TARGETS rgscan DESTINATION ${LIB_DIR}/qmmp/General)

=== src/plugins/General/scrobbler/CMakeLists.txt ===
project(libscrobbler)

cmake_minimum_required(VERSION 2.4.7)


SET(QT_USE_QTNETWORK TRUE)
INCLUDE(FindQt4)

include(${QT_USE_FILE})

if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# qt plugin
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
#libqmmp
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libscrobbler_SRCS
    settingsdialog.cpp
    scrobblerhandler.cpp
    scrobblerfactory.cpp
    scrobblercache.cpp
    scrobbler.cpp
)

SET(libscrobbler_MOC_HDRS
    settingsdialog.h
    scrobblerfactory.h
    scrobblerhandler.h
    scrobbler.h
)

SET(libscrobbler_HDRS
    scrobblercache.h
    defines.h
)

SET(libscrobbler_RCCS translations/translations.qrc)

QT4_ADD_RESOURCES(libscrobbler_RCC_SRCS ${libscrobbler_RCCS})

QT4_WRAP_CPP(libscrobbler_MOC_SRCS ${libscrobbler_MOC_HDRS})

# user interface


SET(libscrobbler_UIS
    settingsdialog.ui
)

QT4_WRAP_UI(libscrobbler_UIS_H ${libscrobbler_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(scrobbler MODULE ${libscrobbler_SRCS} ${libscrobbler_MOC_SRCS} ${libscrobbler_UIS_H}
  ${libscrobbler_RCC_SRCS} ${libscrobbler_HDRS})
add_dependencies(scrobbler qmmpui)
target_link_libraries(scrobbler ${QT_LIBRARIES} -lqmmpui -lqmmp)
install(TARGETS scrobbler DESTINATION ${LIB_DIR}/qmmp/General)

=== src/plugins/Input/sid/CMakeLists.txt ===
project(libsid)

INCLUDE(CheckIncludeFile)
cmake_minimum_required(VERSION 2.4.7)

if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)


# qt plugin
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

SET(QT_INCLUDES
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../../
)

# libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

# libsidplayfp
pkg_search_module(SIDPLAYFP libsidplayfp>=1.0.3)

include_directories(${SIDPLAYFP_INCLUDE_DIRS})
link_directories(${SIDPLAYFP_LIBRARY_DIRS})
ADD_DEFINITIONS(${SIDPLAYFP_CFLAGS})

SET(libsid_SRCS
  decoder_sid.cpp
  decodersidfactory.cpp
  settingsdialog.cpp
  sidhelper.cpp
)

SET(libsid_HDRS
  decoder_sid.h
  sidhelper.h
)

SET(libsid_MOC_HDRS
  decodersidfactory.h
  settingsdialog.h
)

SET(libsid_RCCS translations/translations.qrc)

QT4_ADD_RESOURCES(libsid_RCC_SRCS ${libsid_RCCS})

QT4_WRAP_CPP(libsid_MOC_SRCS ${libsid_MOC_HDRS})

# user interface

SET(libsid_UIS
    settingsdialog.ui
)

QT4_WRAP_UI(libsid_UIS_H ${libsid_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

IF(SIDPLAYFP_FOUND)
ADD_LIBRARY(sid MODULE ${libsid_SRCS} ${libsid_MOC_SRCS} ${libsid_UIS_H}
  ${libsid_RCC_SRCS} ${libsid_HDRS})
add_dependencies(sid qmmp)
target_link_libraries(sid ${QT_LIBRARIES} -lqmmp ${SIDPLAYFP_LDFLAGS})
install(TARGETS sid DESTINATION ${LIB_DIR}/qmmp/Input)
ENDIF(SIDPLAYFP_FOUND)

=== src/plugins/Output/directsound/CMakeLists.txt ===
project(libdirectsound)

cmake_minimum_required(VERSION 2.4.7)

INCLUDE(CheckIncludeFile)

if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# qt plugin
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

SET(QT_INCLUDES
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../../
)

# libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

# Win32 DirectSound
CHECK_INCLUDE_FILE(dsound.h DSOUND_H_FOUND)

SET(libdirectsound_SRCS
  outputdirectsound.cpp
  outputdirectsoundfactory.cpp
)

SET(libdirectsound_MOC_HDRS
  outputdirectsoundfactory.h
)

SET(libdirectsound_HDRS
  outputdirectsound.h
)

SET(libdirectsound_RCCS translations/translations.qrc)

QT4_ADD_RESOURCES(libdirectsound_RCC_SRCS ${libdirectsound_RCCS})

QT4_WRAP_CPP(libdirectsound_MOC_SRCS ${libdirectsound_MOC_HDRS})


IF(DSOUND_H_FOUND)
ADD_LIBRARY(directsound MODULE ${libdirectsound_SRCS} ${libdirectsound_MOC_SRCS} ${libdirectsound_RCC_SRCS} ${libdirectsound_HDRS})
add_dependencies(directsound qmmp)
target_link_libraries(directsound ${QT_LIBRARIES} -lqmmp -ldxguid -lstrmiids -ldmoguids -lmsdmo -lole32 -loleaut32 -luuid -lgdi32 -ldsound)
install(TARGETS directsound DESTINATION ${LIB_DIR}/qmmp/Output)
ENDIF(DSOUND_H_FOUND)

=== src/plugins/PlayListFormats/xspf/CMakeLists.txt ===
project(libxspfplaylistformat)

cmake_minimum_required(VERSION 2.4.7)

if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# qt plugin
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

SET(QT_INCLUDES
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../../
)

# libqmmpui
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libxspfplaylistformat_SRCS
    xspfplaylistformat.cpp
)

SET(libxspfplaylistformat_MOC_HDRS
    xspfplaylistformat.h
)

QT4_ADD_RESOURCES(libxspfplaylistformat_RCC_SRCS ${libxspfplaylistformat_RCCS})

QT4_WRAP_CPP(libxspfplaylistformat_MOC_SRCS ${libxspfplaylistformat_MOC_HDRS})


# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(xspfplaylistformat MODULE ${libxspfplaylistformat_SRCS} ${libxspfplaylistformat_MOC_SRCS})
add_dependencies(xspfplaylistformat qmmpui)
target_link_libraries(xspfplaylistformat ${QT_LIBRARIES} -lqmmpui -lqmmp)
install(TARGETS xspfplaylistformat DESTINATION ${LIB_DIR}/qmmp/PlayListFormats)

=== src/plugins/Visual/projectm/CMakeLists.txt ===
project(libprojectm)

cmake_minimum_required(VERSION 2.4.7)

SET (QT_USE_QTOPENGL TRUE)
INCLUDE(FindQt4)
include(${QT_USE_FILE})

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
  cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)

# qt plugin
ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

SET(QT_INCLUDES
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../../
)

# libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

# projectM
pkg_search_module(PROJECTM libprojectM)
pkg_search_module(PROJECTM_20 libprojectM>=2.0.0)
ADD_DEFINITIONS(${PROJECTM_CFLAGS})

IF(PROJECTM_20_FOUND)
ADD_DEFINITIONS(-DPROJECTM_20)
ENDIF(PROJECTM_20_FOUND)

find_file(PROJECTM_CONFIG config.inp
          PATHS "/usr/share/projectM/" "/usr/local/share/projectM/")

IF(PROJECTM_CONFIG)
ADD_DEFINITIONS(-DPROJECTM_CONFIG=\\\"${PROJECTM_CONFIG}\\\")
MESSAGE(STATUS "Found projectM configuration: ${PROJECTM_CONFIG}")
ENDIF(PROJECTM_CONFIG)

SET(libprojectm_SRCS
    projectmwidget.cpp
    projectmplugin.cpp
    visualprojectmfactory.cpp
    projectmwrapper.cpp
)

SET(libprojectm_MOC_HDRS
    projectmwidget.h
    projectmplugin.h
    visualprojectmfactory.h
    projectmwrapper.h
)

SET(libprojectm_RCCS translations/translations.qrc)

QT4_ADD_RESOURCES(libprojectm_RCC_SRCS ${libprojectm_RCCS})

QT4_WRAP_CPP(libprojectm_MOC_SRCS ${libprojectm_MOC_HDRS})


# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})
IF(PROJECTM_FOUND)
ADD_LIBRARY(projectm MODULE ${libprojectm_SRCS} ${libprojectm_MOC_SRCS} ${libprojectm_RCC_SRCS})
add_dependencies(projectm qmmp)
target_link_libraries(projectm ${QT_LIBRARIES} -lqmmp ${PROJECTM_LDFLAGS} -lGL)
install(TARGETS projectm DESTINATION ${LIB_DIR}/qmmp/Visual)
ENDIF(PROJECTM_FOUND)

=== debian/changelog ===
qmmp (0.8.2-1build2) wily; urgency=medium

  * No-change rebuild for new libsidplayfp

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 16 Aug 2015 16:01:41 +0100

qmmp (0.8.2-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:03:55 +0000

qmmp (0.8.2-1) unstable; urgency=low

  * New upstream release.
    + Removed patches (everything applied upstream).

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 20 Oct 2014 12:39:10 -0400

qmmp (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Adoption. (Closes: #750924)
  * Un-split the package: libqmmp* are now into the main qmmp package,
    installed as private libraries (/usr/lib/qmmp/libqmmp*).
  * Switch to debhelper 9 and format 3.0 (quilt).
  * Bump Standards-Version to 3.9.6.
  * debian/copyright:
    + Switch to format 1.0.
    + Full copyright review (thanks to Thomas Preud'homme): update dates, add
      missing authors, add missing exceptions.
    + Relicense debian/* under GPL-2+, with authorisation of the former
      maintainer, Eugene V. Lyubimkin (cf. #750924).
  * debian/control:
    + Simplify Build-Depends (remove most version numbers).
    + Add missing Build-Depends: qtchooser, libcdio-dev, libopus-dev,
      libopusfile-dev, libsidplayfp-dev, libenca-dev.
    + qmmp now Suggests mplayer2.
    + Add Vcs-Git and Vcs-Browser fields.
    + Update Homepage.
    + Update qmmp's Description.
  * debian/rules:
    + Simplify.
    + Don't call cmake directly, use dh_auto_configure instead.
    + Add verbose build variables (commented-out).
    + Add CPPFLAGS to CFLAGS and CXXFLAGS (fixes hardening).
    + Add -Wl,--as-needed to LDFLAGS to avoid unneeded dependencies for
      plugins.
  * debian/patches:
    + Actually remove 010-libav10-support.patch.
    + Add allows_one_to_typo.patch.
    + Add desktop_files.patch.
  * debian/watch: add "debian uupdate".
  * Add debian/upstream/metadata (DEP-12).
  * Add lintian override (spellcheck false positive on libqmmpui).
  * Remove useless debian/README.source.
  * Remove useless debian/README.Debian (Opus is supported now).

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 06 Oct 2014 17:03:56 -0400

qmmp (0.7.6-2) unstable; urgency=medium

  * debian/control:
    - Typo fix: s/conveter/converter/. (Closes: #746181)
    - Suggest udisks2 instead of udisks on linux. Already supported upstream
      since 0.7.0. (Closes: #750513)
    - libqmmpui-dev now depends on libqmmp-dev. Suggested by upstream.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 08 Jun 2014 17:27:05 +0300

qmmp (0.7.6-1) experimental; urgency=medium

  * New upstream release.
    - Uploading to experimental until libav10 transition is completed.
  * debian/patches:
    - 010-libav10-support.patch: removed, implemented in a different way
      upstream.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 23 Apr 2014 21:01:06 +0300

qmmp (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added quilt to Build-Depends.
    - Bumped Standards-Version to 3.9.5, no changes needed.
  * debian/rules:
    - Use quilt sequence.
  * debian/patches:
    - New patch '010-libav10-support.patch' by Sebastian Ramacher.
      (Closes: #739378)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 22 Feb 2014 15:02:54 +0200

qmmp (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated list of translators.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 26 Dec 2013 14:13:22 +0200

qmmp (0.7.3-1) unstable; urgency=low

  * New upstream relese.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 05 Oct 2013 16:53:22 +0300

qmmp (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.4, no changes needed.
  * debian/rules:
    - Use dpkg-provided buildflags if possible.
    - Enable verbose building.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 24 Jun 2013 21:28:47 +0300

qmmp (0.7.0-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated upstream copyrights and licenses.
  * debian/control:
    - Updated list of features.
  * debian/libqmmp{,ui}0.install:
    - Updated for 0.7.x upstream releases.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 21 Apr 2013 12:34:22 +0300

qmmp (0.6.6-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated upstream copyright years.
    - Updated list of translators.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 27 Jan 2013 15:49:22 +0200

qmmp (0.6.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Added missing epoch to build-depends on libqt4-dev. Thanks to
      Jakub Wilk's epoch-mismatch-finder.
    - Updated upstream feature list, added 'DSP effects' section.
  * debian/copyright:
    - Upstream upstream copyrights.
  * debian/libqmmp{,ui}0.install:
    - Updated for 0.6.x upstream releases.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 15 Sep 2012 16:30:42 +0300

qmmp (0.5.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes scrobbler failure when using Qt 4.8 (Closes: #673896)
  * debian/control:
    - Added 'oss4-dev' to Build-Depends as upstream now enables OSS4 output
      plugin by default.
    - Bumped Standards-Version to 3.9.3, no changes needed.
  * debian/README.Debian:
    - Removed with obsolete BS2B info (BS2B plugin was enabled in 0.5.2-1).
  * debian/copyright:
    - Updated Slovak translator's mail address.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 28 May 2012 13:33:17 +0300

qmmp (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 01 Mar 2012 21:45:26 +0200

qmmp (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - FFMpeg input plugin: include libavutil header properly.
      (Closes: #657939)
  * debian/copyright:
    - Updated copyright years.


=== debian/control ===
Source: qmmp
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
Build-Depends: debhelper (>= 9), cmake, pkg-config, qtchooser, libqt4-dev,
  libqt4-opengl-dev, libx11-dev, oss4-dev, libmad0-dev, libvorbis-dev,
  libasound2-dev [linux-any], libtag1-dev, libcurl4-gnutls-dev, libmms-dev,
  libflac-dev, libmpcdec-dev, libjack-dev, libsamplerate0-dev, libmodplug-dev,
  libsndfile1-dev, libwavpack-dev, libpulse-dev, libavcodec-dev,
  libavformat-dev, libcdio-dev, libcdio-paranoia-dev, libcddb2-dev,
  libfaad-dev, libgme-dev, libopus-dev (>= 1.0.2), libopusfile-dev,
  libwildmidi-dev, libsidplayfp-dev (>= 1.0.3), libbs2b-dev, libprojectm-dev,
  libenca-dev
Standards-Version: 3.9.6
Homepage: http://qmmp.ylsoftware.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/qmmp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qmmp.git

Package: qmmp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qmmp-plugin-projectm, mplayer2, unzip, udisks2 [linux-any],
  hal [!linux-any]
Replaces: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
Breaks: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
Description: feature-rich audio player with support of many formats
 Qmmp is feature-rich audio player with support of many formats.
 It is written in Qt.
 .
 Audio formats supported:
  - MPEG1 layer 2/3
  - Ogg Vorbis
  - Ogg Opus
  - Native FLAC, Ogg FLAC
  - Musepack
  - WavePack
  - tracker modules (mod, s3m, it, xm, etc)
  - ADTS AAC
  - CD Audio
  - WMA, Monkey's Audio (and other formats provided by FFmpeg library)
  - PCM WAVE (and other formats provided by libsndfile library)
  - midi
  - SID
  - chiptune formats (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ,
    VTX)
 .
 Audio output through:
  - ALSA
  - OSS
  - PulseAudio
  - JACK
 .
 DSP effects:
  - BS2B effect
  - sample rate converter
  - LADSPA effects
  - extra stereo
  - crossfade
 .
 Other features:
  - XMMS and Winamp 2.x skins support
  - 10-band equalizer
  - MP3, Vorbis, AAC, AAC+ streams support
  - mms support
  - MPRIS (1.0 and 2.0)
  - removable device detection (via HAL or UDisks)
  - video playback via Mplayer
  - lyrics (using lyrics.wikia.com)
  - cover art support
  - CUE sheet support
  - embedded CUE support (for FLAC and WavPack)
  - multiple playlists
  - automatic charset detection for cue files and ShoutCast metadata
  - playlist formats: m3u, pls, xspf
  - ReplayGain support
  - Last.fm/Libre.fm scrobbler
  - CDDB support
  - audio converter
  - stream browser
  - audio formats converter
  - external programs execution on track change
  - ReplayGain scanner
  - visualization (spectre analyzer, projectm)
  - global hotkeys

Package: qmmp-plugin-projectm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: qmmp audio player -- projectM visualization plugin
 Qmmp is feature-rich audio player with support of many formats.
 It is written in Qt.
 .
 See 'qmmp' package for full description.
 .
 This package contains projectM visualization plugin for qmmp.
